Get payment method

This API is used to get one saved card or bank account of the customer.

It returns the payment method (card or bank account fields, see List payment methods).

Note: Only methods saved in locations of your scope are found.

URL

{{interface_url}}/{{version}}/customers/{{customer_id}}/payment-methods/{{payment_method_id}}

Method

GET

Headers

Authorization: Bearer {access_token} (or Api-Key)

Request Parameters

None.

URL Parameters

ParameterRequired/OptionalTypeDescription
customer_idRequiredIntegerOur customer ID (id returned by Create customer).
payment_method_idRequiredIntegerPayment method ID (id returned by List payment methods).

Example Request (cURL)

curl --location '{{interface_url}}/{{version}}/customers/{{customer_id}}/payment-methods/{{payment_method_id}}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}'

Example Response (JSON) — 200

{
  "id": 90311,
  "type": "card",
  "location_id": 279685,
  "holder": "Ana Garcia",
  "default": true,
  "created_at": "2026-11-05T18:16:18Z",
  "brand": "visa",
  "last4": "4242",
  "exp_month": 12,
  "exp_year": 28,
  "billing_address": {
    "line1": "100 Main St",
    "line2": null,
    "city": "Austin",
    "state": "TX",
    "zipcode": "78701",
    "country_iso": "US"
  }
}

Error Responses

Format: { "error": { "code", "name", "message", "details" } }

StatusErrorWhen
404payment_method_not_foundWrong ID, or not in your scope.

Path Params
string
required
string
required
string
required
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json